Skip to content

Create sender for project
GA

Request

Creates a sender for a project. The possible combinations of region, business manager and hosting type are the following

RegionSINCH_BRSINCH_MXSINCH_UK
BREmbedded (ES)✅ Supported✅ Supported❌ Unsupported
Partner-initiated✅ Supported✅ Supported❌ Unsupported
EUEmbedded (ES)❌ Unsupported❌ Unsupported✅ Supported
Partner-initiated❌ Unsupported❌ Unsupported✅ Supported
USEmbedded (ES)✅ Supported✅ Supported✅ Supported
Partner-initiated✅ Supported✅ Supported✅ Supported
Security
BasicAuth and BearerAuth and OAuth2Production
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

Bodyapplication/jsonrequired

Sender data

Any of:
wabaIdstringrequired

WhatsApp Business Account that will be connected to the created sender. If left empty, we will try to find the WhatsApp Business Account using your projectId.

phoneNumberIdstringrequired

Phone number ID linked to the WhatsApp Business Account.

regionstring(WhatsappSenderInputRegion)

Region sender is provisioned in. If not provided, default region for the country set in the billing account will be used. For partner-initiated accounts, the value set for WhatsApp account will be used.

Enum:"BR""EU""US"
metaLocalStoragestring(WhatsappSenderInputMetaLocalStorages)

Region sender store the data in Meta. If not provided, the default value set for the chosen region will be used.

Enum:"AE""AU""BH""BR""CA""CH""DE""GB""ID""IN"
businessManagerstring(WhatsappInputBusinessManagersPublicDocumentation)

Business manager.

Enum:"SINCH_BR""SINCH_MX""SINCH_UK"
authenticationCodestring, non-empty

Single-use access code.

Example body request to create an ES.

curl -i -X POST \
  -u '<username>:<password>' \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/senders' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "region": "EU",
    "metaLocalStorage": "DE",
    "wabaId": "11111111111111",
    "phoneNumberId": "222222222222222",
    "authenticationCode": "123asdf123"
  }'

Responses

Sender

Bodyapplication/json
idstringrequired

The unique ID of the sender.

regionstring(WhatsappSenderBotRegion)required

Region sender is provisioned in.

Enum:"BR""EU""US""UNRECOGNIZED"
metaLocalStoragestring(WhatsappSenderMetaLocalStorages)required

Region sender store the data in Meta.

Enum:"AE""AU""BH""BR""CA""CH""DE""GB""ID""IN"
businessManagerstring(WhatsappBusinessManagers)required

Business manager.

Enum:"SINCH_AMERICA""SINCH_BR""SINCH_MX""SINCH_SEP""SINCH_UK""UNRECOGNIZED"
compatibleRegionsArray of strings, uniquerequired

Conversation API app regions the sender can be used for.

statestring(WhatsappSenderStates)

The current state of the sender.

Enum:"ACTIVE""IN_PROGRESS""INACTIVE""PENDING_VERIFICATION""SUSPENDED""ERROR"
changesobject(WhatsappSenderChangesDto)

Any pending changes to the sender.

detailsobject(WhatsappSenderDetailsDto)

Sender details and information.

metadataobject(WhatsappSenderMetadataDto)

Data about the current state of individual sender fields.

conversationApiAppDetailsobject(WhatsappConversationApiAppDto)

If set, the details of the Conversation API App the sender is connected to.

maxTpsnumber

Maximum sender TPS.

qualityRatingstring(WhatsappQualityRating)

Current quality rating of the sender.

Enum:"GREEN""RED""YELLOW""UNKNOWN""UNRECOGNIZED"
bearerTokenstring

Bearer token of the sender. The bearer token is needed to connect the sender to a Conversation API App.

createdstring

The UTC Date Time in ISO 8601 for when the sender was created.

modifiedstring

The UTC Date Time in ISO 8601 for when the sender was last modified.

countryCodestring

Country code of sender phone number.

phoneNumberstring

Sender phone number without country code.

numberProviderstring(WhatsappSenderNumberProviderType)

Provider for phone number.

Enum:"CUSTOMER""SINCH""UNRECOGNIZED"
cloudApibooleanrequireddeprecated

True if the sender is hosted in WhatsApp Cloud API.

conversationApiAppstringdeprecated

If set, the Conversation API App ID the sender is connected to.

dailyLimitstring(WhatsappDailyLimit)deprecated

This property is deprecated. Use AccountDto.businessDailyLimit instead. Current daily message limit of the sender.

Enum:"NOT_SET""TIER_100K""TIER_10K""TIER_1K""TIER_250""TIER_2K""TIER_50""TIER_UNLIMITED""UNRECOGNIZED"
wabaBanStatestring(WhatsappWabaBanStates)deprecated

Please use get account endpoint for this information.

Enum:"DISABLE""REINSTATE""SCHEDULE_FOR_DISABLE""UNRECOGNIZED"
wabaBanDatestringdeprecated

Please use get account endpoint for this information.

Response

Response when successfully creating a sender.

{ "id": "cf11794a-6a5e-4a12-b103-da79bd378bf1", "changes": { "status": "IN_PROGRESS", "details": { … } }, "created": "2023-01-19T13:11:08.204Z", "modified": "2023-01-19T13:11:08.204Z", "region": "EU", "metaLocalStorage": "DE", "conversationApiApp": "4CF9CE97504C4A468F4610919D17ECC1", "conversationApiAppDetails": { "id": "4CF9CE97504C4A468F4610919D17ECC1", "projectId": "ea026751-3edf-40a9-ad93-1b382bd60a78", "region": "EU", "channelStatus": "ACTIVE" }, "maxTps": 10, "qualityRating": "GREEN", "bearerToken": "aaaaAAAA.bbbbBBBB.ccccCCCC", "cloudApi": true, "countryCode": "48", "phoneNumber": "777777777", "numberProvider": "CUSTOMER", "businessManager": "SINCH_UK", "compatibleRegions": [ "eu", "us" ] }

Callbacks

Comment on sender
post
Sender completed
post
Sender inactive
post
Sender in pending verification
post
Sender in rejected
post
Sender in error
post
Daily limit changed for Sender
post
deprecated
Quality rating changed for Sender
post
Sender deleted
post
Sender username updated
post
We'd love to hear from you!
Rate this content: